UMCS(4)

NAME
umcs - USB support for serial adapters based on the MCS7820 and MCS7840 chips

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device usb
device ucom
device umcs

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    umcs_load="YES"

DESCRIPTION
The umcs driver provides support for various multiport serial adapters based on the MosCom MCS7820 and MCS7840 chips. They are 2- or 4-port adapters with full-featured 16550-compatible UARTs and very flexible baud generators. Also, these chips support RS422/RS485 and IrDA operations.

The device is accessed through the ucom(4) driver which makes it behave like a tty(4).

Different ports on device are presented as sub-units, like /dev/ttyU0.1 and /dev/ttyU0.2.

HARDWARE
The umcs driver was tested on the following adapters:

•   ST Lab U-360 two-port serial USB adapter
•   ST Lab U-400 four-port serial USB adapter

FILES
/dev/ttyU*.*
    for callin ports
/dev/ttyU*.*.init
/dev/ttyU*.*.lock
    corresponding callin initial-state and lock-state devices

/dev/cuaU*.*
    for callout ports
/dev/cuaU*.*.init
/dev/cuaU*.*.lock
    corresponding callout initial-state and lock-state devices

SEE ALSO
tty(4), ucom(4), usb(4)

HISTORY
The umcs driver appeared in ports since December of 2010.

AUTHORS
-nosplit The umcs driver was written by Lev Serebryakov <lev@FreeBSD.org>.

BUGS
This driver doesn't support access to any fine tunes of chip, like RS522/RS485 mode, non-standard baudrates, etc.